Package org.silverpeas.components.community.web

## Class CommunityMembershipEntity

- java.lang.Object
- - org.silverpeas.components.community.web.CommunityMembershipEntity

- All Implemented Interfaces:
    `Serializable`, `org.silverpeas.core.web.rs.WebEntity`

      public class CommunityMembershipEntity
      extends Object
      implements org.silverpeas.core.web.rs.WebEntity

  Web representation of a membership as transmitted by the REST web resources.
  Author:
    mmoquillon
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `CommunityMembershipEntity()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `URI` | `getCommunity()` | Gets the URI of the community of user to which this membership is related.
    `String` | `getStatus()` | Gets the status of this membership.
    `URI` | `getURI()` |
    `UserEntity` | `getUser()` | Gets the user related by this membership to a community.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommunityMembershipEntity

          protected CommunityMembershipEntity()

  - ### Method Detail

    - #### getURI

          public URI getURI()

      Specified by:
        `getURI` in interface `org.silverpeas.core.web.rs.WebEntity`

    - #### getUser

          public UserEntity getUser()

      Gets the user related by this membership to a community.
      Returns:
        a web entity representing a user in Silverpeas.

    - #### getStatus

          public String getStatus()

      Gets the status of this membership.
      Returns:
        the String value of one of the `MembershipStatus` enumeration value.

    - #### getCommunity

          public URI getCommunity()

      Gets the URI of the community of user to which this membership is related.
      Returns:
        the URI of the community of users.